#!/usr/bin/env python

import tornado.ioloop
import tornado.web
import pprint

class DumpingHandler(tornado.web.RequestHandler):
    def post(self):
        pprint.pprint(self.request)
        pprint.pprint(self.request.body.decode())

if __name__ == "__main__":
    tornado.web.Application([("/.*", DumpingHandler)]).listen(8080)
    tornado.ioloop.IOLoop.instance().start()
